#### D.4.25.8 latticeIdeal

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  latticeIdeal(ideal I);

Return:
  Returns the lattice ideal defined by the elements of I which have to be binomials. The lattice ideal is
  the restriction to the polynomial ring of the ideal of the Laurent polynomial ring generated by I

Note:
  This function requires the previous setting of an NmzFilename. The function does not delete the written files.

Example:

    LIB "normaliz.lib";
    setNmzFilename("binomials");
    ring S = 37,(u,v,w,x,y,z),dp;
    ideal I = u2-v2, x2-y2, y2-vw, z2-xy;
    latticeIdeal(I);
    ==> 1
    ==> 1
    ==> _[1]=x2-y2
    ==> _[2]=u2-v2
    ==> _[3]=-xy+z2
    ==> _[4]=vw-y2

See also: intmat2binomials.

User manual for Singular version 4.4.1, 2025, generated by texi2html.